## libphonenumber 6.0+r655

=== cpp/CMakeLists.txt ===
# Copyright (C) 2011 The Libphonenumber Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Philippe Liard

cmake_minimum_required (VERSION 2.8)

project (libphonenumber)
set (libphonenumber_VERSION_MAJOR 6)
set (libphonenumber_VERSION_MINOR 0)

# Helper functions dealing with finding libraries and programs this library
# depends on.

include (../tools/cpp/gtest.cmake)

function (print_error DESCRIPTION FILE)
  message (FATAL_ERROR
    "Can't find ${DESCRIPTION}: can't locate ${FILE}. Please read the README.")
endfunction ()

# Find a library. If it has not been found, stop CMake with a fatal error
# message.
function (find_required_library NAME HEADER LIBRARY DESCRIPTION)
  # Check the header.
  find_path (${NAME}_INCLUDE_DIR ${HEADER})
  set (INCLUDE_DIR ${${NAME}_INCLUDE_DIR})

  if (${INCLUDE_DIR} STREQUAL "${INCLUDE_DIR}-NOTFOUND")
    print_error (${DESCRIPTION} ${HEADER})
  endif ()
  include_directories (${INCLUDE_DIR})
  # Check the binary.
  find_library (${NAME}_LIB ${LIBRARY})
  set (LIB ${NAME}_LIB)

  if (${LIB} STREQUAL "${LIB}-NOTFOUND")
    print_error (${DESCRIPTION} ${LIBRARY})
  endif ()
endfunction (find_required_library)

# Check the library version (if pkg-config available).
find_package (PkgConfig)
function (check_library_version VARNAME LIBRARY_WITH_VERSION)
  if (PKG_CONFIG_FOUND)
    pkg_check_modules (${VARNAME} ${LIBRARY_WITH_VERSION})
  endif ()
endfunction ()

# Find a program. If it has not been found, stop CMake with a fatal error
# message.
function (find_required_program NAME FILENAME DESCRIPTION)
  find_program (${NAME}_BIN NAMES ${FILENAME})

  if (${NAME}_BIN STREQUAL "${${NAME}_BIN}-NOTFOUND")
    print_error (${DESCRIPTION} ${FILENAME})
  endif ()
endfunction (find_required_program)

# Options that can be passed to CMake using 'cmake -DKEY=VALUE'.
option ("BUILD_GEOCODER" "Build the offline phone number geocoder" "ON")
option ("USE_ALTERNATE_FORMATS" "Use alternate formats" "ON")
option ("USE_BOOST" "Use Boost" "ON")
option ("USE_ICU_REGEXP" "Use ICU regexp engine" "ON")
option ("USE_LITE_METADATA" "Use lite metadata" "OFF")
option ("USE_RE2" "Use RE2" "OFF")
option ("USE_STD_MAP" "Force the use of std::map" "OFF")

if (${USE_ALTERNATE_FORMATS} STREQUAL "ON")
  add_definitions ("-DI18N_PHONENUMBERS_USE_ALTERNATE_FORMATS")
endif ()

# Find all the required libraries and programs.
if (${USE_BOOST} STREQUAL "ON")
  add_definitions ("-DI18N_PHONENUMBERS_USE_BOOST")
  if (WIN32)
    set (Boost_USE_STATIC_LIBS ON)
  endif ()
  find_package (Boost 1.40.0 COMPONENTS date_time thread)
  if (NOT Boost_FOUND)
    print_error ("Boost Datetime/Thread" "Boost")
  endif ()
  include_directories (${Boost_INCLUDE_DIRS})
endif ()

find_or_build_gtest ()

if (${USE_RE2} STREQUAL "ON")
  find_required_library (RE2 re2/re2.h re2 "Google RE2")
endif ()

find_required_library (PROTOBUF google/protobuf/message_lite.h protobuf
                       "Google Protocol Buffers")
check_library_version (PC_PROTOBUF protobuf>=2.4)

find_required_library (ICU_UC unicode/uchar.h icuuc "ICU")
check_library_version (PC_ICU_UC icu-uc>=4.4)

set (ICU_INCLUDE_DIR ${ICU_UC_INCLUDE_DIR})
set (ICU_LIB ${ICU_UC_LIB})
# If ICU regexp engine is used or if the geocoder is built, use icui18n as well.
if (${USE_ICU_REGEXP} STREQUAL "ON" OR ${BUILD_GEOCODER} STREQUAL "ON")
  find_required_library (ICU_I18N unicode/regex.h icui18n "ICU")
  check_library_version (PC_ICU_I18N icu-i18n>=4.4)
  list (APPEND ICU_INCLUDE_DIR ${ICU_I18N_INCLUDE_DIR})
  list (APPEND ICU_LIB ${ICU_I18N_LIB})
endif ()

find_required_program (PROTOC protoc
                       "Google Protocol Buffers compiler (protoc)")

find_required_program (JAVA java
                       "Java Runtime Environment")

if (APPLE)
  FIND_LIBRARY (COREFOUNDATION_LIB CoreFoundation)
  FIND_LIBRARY (FOUNDATION_LIB Foundation)
endif ()

if (${USE_STD_MAP} STREQUAL "OFF")
  INCLUDE (CheckIncludeFileCXX)
  CHECK_INCLUDE_FILE_CXX ("tr1/unordered_map" HAVE_CXX_TR1_UNORDERED_MAP)
  if (HAVE_CXX_TR1_UNORDERED_MAP)
    add_definitions ("-DI18N_PHONENUMBERS_USE_TR1_UNORDERED_MAP")
  endif ()
endif ()

# Add protoc (Protocol Buffers compiler) target.
set (RESOURCES_DIR "${CMAKE_SOURCE_DIR}/../resources")

set (
  PROTOBUF_SOURCES "${RESOURCES_DIR}/phonemetadata.proto"
                   "${RESOURCES_DIR}/phonenumber.proto"
)

set (
  PROTOBUF_OUTPUT "${CMAKE_SOURCE_DIR}/src/phonenumbers/phonemetadata.pb.cc"
                  "${CMAKE_SOURCE_DIR}/src/phonenumbers/phonemetadata.pb.h"
                  "${CMAKE_SOURCE_DIR}/src/phonenumbers/phonenumber.pb.cc"
                  "${CMAKE_SOURCE_DIR}/src/phonenumbers/phonenumber.pb.h"
)

add_custom_command (
  COMMAND ${PROTOC_BIN} --cpp_out=${CMAKE_SOURCE_DIR}/src/phonenumbers/
    --proto_path=${RESOURCES_DIR} ${PROTOBUF_SOURCES}

  OUTPUT ${PROTOBUF_OUTPUT}
  DEPENDS ${PROTOBUF_SOURCES}
)

if (${BUILD_GEOCODER} STREQUAL "ON")
  # Geocoding data cpp file generation
  set (TOOLS_DIR "${CMAKE_CURRENT_BINARY_DIR}/tools")
  add_subdirectory("${CMAKE_SOURCE_DIR}/../tools/cpp" "${TOOLS_DIR}")

  set (GEOCODING_DIR "${RESOURCES_DIR}/geocoding")
  file (GLOB_RECURSE GEOCODING_SOURCES "${GEOCODING_DIR}/*.txt")

  set (GEOCODING_DATA_OUTPUT
    "${CMAKE_SOURCE_DIR}/src/phonenumbers/geocoding/geocoding_data.cc"
  )

  add_custom_command (
    COMMAND generate_geocoding_data "${GEOCODING_DIR}"
      "${GEOCODING_DATA_OUTPUT}"

    OUTPUT ${GEOCODING_DATA_OUTPUT}
    DEPENDS ${GEOCODING_SOURCES}
            generate_geocoding_data
    COMMENT "Generating geocoding data code"
  )
endif ()

set (
  SOURCES
  "src/phonenumbers/asyoutypeformatter.cc"
  "src/phonenumbers/base/strings/string_piece.cc"
  "src/phonenumbers/default_logger.cc"
  "src/phonenumbers/logger.cc"
  "src/phonenumbers/phonemetadata.pb.cc" # Generated by Protocol Buffers.
  "src/phonenumbers/phonenumber.cc"
  "src/phonenumbers/phonenumber.pb.cc"   # Generated by Protocol Buffers.
  "src/phonenumbers/phonenumberutil.cc"
  "src/phonenumbers/regexp_cache.cc"
  "src/phonenumbers/shortnumberinfo.cc"
  "src/phonenumbers/shortnumberutil.cc"
  "src/phonenumbers/string_byte_sink.cc"
  "src/phonenumbers/stringutil.cc"
  "src/phonenumbers/unicodestring.cc"
  "src/phonenumbers/utf/rune.c"
  "src/phonenumbers/utf/unicodetext.cc"
  "src/phonenumbers/utf/unilib.cc"
)

if (${BUILD_GEOCODER} STREQUAL "ON")
  set (
    GEOCODING_SOURCES
    "src/phonenumbers/geocoding/area_code_map.cc"
    "src/phonenumbers/geocoding/default_map_storage.cc"
    "src/phonenumbers/geocoding/geocoding_data.cc"
    "src/phonenumbers/geocoding/mapping_file_provider.cc"
    "src/phonenumbers/geocoding/phonenumber_offline_geocoder.cc"
    "src/phonenumbers/phonenumber.pb.h"  # Forces proto buffer generation.
  )
endif ()

# Add regexp engine-dependent sources. ICU is used by default.
if (${USE_RE2} STREQUAL "ON")
  # Add a flag to select the right regexp factory implementation used by
  # regexp_factory.h and regexp_adapter_test.cc.
  # When both ICU regexp and RE2 are defined, the regexp engine adapter defaults
  # to RE2 unless the ICU implementation is instantiated explictly obviously.
  add_definitions ("-DI18N_PHONENUMBERS_USE_RE2")
  list (APPEND SOURCES "src/phonenumbers/regexp_adapter_re2.cc")
endif ()

if (${USE_ICU_REGEXP} STREQUAL "ON")
  add_definitions ("-DI18N_PHONENUMBERS_USE_ICU_REGEXP")
  list (APPEND SOURCES "src/phonenumbers/regexp_adapter_icu.cc")
  # The phone number matcher needs ICU.
  list (APPEND SOURCES "src/phonenumbers/phonenumbermatch.cc")
  list (APPEND SOURCES "src/phonenumbers/phonenumbermatcher.cc")
  if (${USE_ALTERNATE_FORMATS} STREQUAL "ON")
    list (APPEND SOURCES "src/phonenumbers/alternate_format.cc")
  endif ()
endif ()

# Library sources excluding the metadata files, since special metadata is used
# for unit-testing. Note that a single testing library is built for both
# libphonenumber and geocoding.
set (TESTING_LIBRARY_SOURCES ${SOURCES})
if (${BUILD_GEOCODER} STREQUAL "ON")
  list (APPEND TESTING_LIBRARY_SOURCES ${GEOCODING_SOURCES})
endif ()

# Add metadata code generation targets.

# This function is invoked to create metadata, test metadata and lite metadata
# code generation targets.
function (add_metadata_gen_target TARGET_NAME
                                  XML_FILE
                                  METADATA_TYPE
                                  METADATA_HEADER)
  set (METADATA_SOURCE_DIR "${CMAKE_SOURCE_DIR}/src/phonenumbers")
  set (GEN_OUTPUT "${METADATA_SOURCE_DIR}/${METADATA_TYPE}.cc"
                  "${METADATA_SOURCE_DIR}/${METADATA_HEADER}.h")
  set (JAR_PATH "${CMAKE_SOURCE_DIR}/../tools/java/cpp-build/target")
  set (JAR_PATH "${JAR_PATH}/cpp-build-1.0-SNAPSHOT-jar-with-dependencies.jar")

  add_custom_command (
    COMMAND ${JAVA_BIN} -jar
      ${JAR_PATH} BuildMetadataCppFromXml ${XML_FILE}
      ${CMAKE_SOURCE_DIR}/src/phonenumbers ${METADATA_TYPE}

    OUTPUT ${GEN_OUTPUT}
    DEPENDS ${XML_FILE}
  )
  add_custom_target (
    ${TARGET_NAME}
    DEPENDS ${GEN_OUTPUT}
    COMMENT "Generating Metadata code"
  )
endfunction (add_metadata_gen_target)

if (${USE_LITE_METADATA} STREQUAL "ON")
  # Add the lite metadata generation target.
  set (METADATA_TARGET "generate-lite-metadata")
  add_metadata_gen_target (
    ${METADATA_TARGET}
    "${RESOURCES_DIR}/PhoneNumberMetadata.xml"
    "lite_metadata"
    "metadata"
  )
  list (APPEND SOURCES "src/phonenumbers/lite_metadata.cc")
else ()
  # Add the metadata generation target.
  set (METADATA_TARGET "generate-metadata")
  add_metadata_gen_target (
    ${METADATA_TARGET}
    "${RESOURCES_DIR}/PhoneNumberMetadata.xml"
    "metadata"
    "metadata"
  )
  list (APPEND SOURCES "src/phonenumbers/metadata.cc")
endif ()

# Add the test metadata generation target.
set (TEST_METADATA_TARGET "generate-test-metadata")
add_metadata_gen_target (
  ${TEST_METADATA_TARGET}
  "${RESOURCES_DIR}/PhoneNumberMetadataForTesting.xml"
  "test_metadata"
  "metadata"
)
list (APPEND TESTING_LIBRARY_SOURCES "src/phonenumbers/test_metadata.cc")

# Add the short metadata generation target.
set (SHORT_METADATA_TARGET "generate-short-number-metadata")
add_metadata_gen_target (
  ${SHORT_METADATA_TARGET}
  "${RESOURCES_DIR}/ShortNumberMetadata.xml"
  "short_metadata"
  "short_metadata"
)
# This is used both for the real library and for testing.
list (APPEND SOURCES "src/phonenumbers/short_metadata.cc")
list (APPEND TESTING_LIBRARY_SOURCES "src/phonenumbers/short_metadata.cc")

if (${USE_ICU_REGEXP} STREQUAL "ON")
  if (${USE_ALTERNATE_FORMATS} STREQUAL "ON")
    # Add alternate format metadata generation for the phone number matcher.
    set (ALT_FORMAT_METADATA_TARGET "generate-alt-format-metadata")
    add_metadata_gen_target (
      ${ALT_FORMAT_METADATA_TARGET}
      "${RESOURCES_DIR}/PhoneNumberAlternateFormats.xml"
      "alternate_format"
      "alternate_format"
    )
  endif ()
endif ()

if (NOT WIN32)
  add_definitions ("-Wall -Werror")
endif ()

include_directories ("src")

# Build a static library (without -fPIC).
add_library (phonenumber STATIC ${SOURCES})
if (${USE_ICU_REGEXP} STREQUAL "ON")
  if (${USE_ALTERNATE_FORMATS} STREQUAL "ON")
    add_dependencies (phonenumber ${ALT_FORMAT_METADATA_TARGET})
  endif ()
endif ()

if (${BUILD_GEOCODER} STREQUAL "ON")
  add_library (geocoding STATIC ${GEOCODING_SOURCES})
  # The geocoder doesn't use RE2 so there is no reason not to build a shared
  # library for it.
  add_library (geocoding-shared SHARED ${GEOCODING_SOURCES})

=== debian/changelog ===
libphonenumber (6.0+r655-0ubuntu6) vivid; urgency=medium

  * Rebuild against libprotobuf9.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 10:41:21 +0000

libphonenumber (6.0+r655-0ubuntu5) utopic; urgency=medium

  * Build without -O3 on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Sep 2014 19:30:17 +0200

libphonenumber (6.0+r655-0ubuntu4) utopic; urgency=medium

  * debian/rules:
    - never set INSTALL_PROGRAM+=-s; rely on dh_strip to strip
      the files only after install.
    - build with VERBOSE=1.
    - use dh build system args instead of overriding all of dh_auto_*.
  * Bump to compat level 9, which enables dpkg-buildflags usage.
  * Build without -O2 (which is consistent with previous builds), since
    enabling it causes ABI changes in the library.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 27 Jul 2014 08:22:16 +0000

libphonenumber (6.0+r655-0ubuntu3) utopic; urgency=medium

  * debian/*.symbols*:
    - Provide arch-specific symbol files for both architectures, enabling
      proper builds for both 64 and 32 bit systems

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Fri, 09 May 2014 14:22:53 +0200

libphonenumber (6.0+r655-0ubuntu2) utopic; urgency=medium

  * debian/patches/fix_ftbfs.patch
    - Fix for FTBFS on i386 and armhf, patch from Renato Araujo Oliveira Filho

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 08 May 2014 15:10:36 -0400

libphonenumber (6.0+r655-0ubuntu1) utopic; urgency=medium

  [ Ken VanDine ]
  * debian/control
    - build depend on ant-optional
    - Bump soname
    - split libgeocoding6 out into a separate package
    - bump standards version to 3.9.5
  * debian/patches/boost_build_fix.patch
    - Fixed cpp library installation, patch from Renato Araujo Oliveira Filho
  * debian/source/format
    - Specify quilt
  * debian/copyright
    - Updated all copyrights and licenses

  [ Łukasz 'sil2100' Zemczak ]
  * debian/patches/cpp_symbols_map.patch:
    - Add a symbols map file not to leak unnecessary C++ symbols
  * debian/libphonenumber6.symbols, debian/libgeocoding6.symbols:
    - Add C++ symbols for libphonenumber.so.6 and libgeocoding.so.6

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 30 Apr 2014 14:51:09 -0400

libphonenumber (6.0) precise; urgency=low

  * Code changes:
   - Better support for detecting phone numbers in text that are beside each
     other
   - Change to how Japanese numbers beginning with "00" are modelled, with the
     side-effect that the maximum possible number length has been extended by
     1.
   - Handle StringIndexOutOfBoundsException in the AsYouTypeFormatter when the
     national prefix that was extracted was not found in the prefix. This
     affected countries with very long carrier codes, such as Korea.
   - Removal of some of the author attributions - contributions to be tracked
     in CONTRIBUTORS file.
  * Metadata changes:
    - Updated phone metadata for region code(s): AS, BR, KW, LU
    - New carrier data for country calling code(s): 1684 (en)
    - Updated carrier data for country calling code(s): 352 (en)

 -- Lara Scheidegger <lararennie@google.com>  Tue, 25 Feb 2014 13:57:19 +0100

libphonenumber (5.9.4) precise; urgency=low

  * Metadata changes:
    - Updated phone metadata for region code(s):
    883, BF, BJ, BW, CL, CR, DZ, FR, GD, IN, JP, MD, NG, NZ, PK, PL, SY,
    UY, VU
    - Updated short number metadata for region code(s): LV, MD
    - New carrier data for country calling code(s): 373 (en), 1473 (en)
    - Updated carrier data for country calling code(s):
    48 (en), 49 (en), 91 (en), 92 (en), 213 (en), 226 (en), 229 (en),
    234 (en),
    267 (en), 389 (en), 506 (en), 598 (en)

 -- Shaopeng Jia <shaopengjia@google.com>  Fri, 07 Feb 2014 11:46:35 +0100

libphonenumber (5.9.3) precise; urgency=low

  * Metadata changes:
    - Updated phone metadata for region code(s):
    BF, BH, BR, CN, GR, IN, MY, PA, TN, US
    - Updated short number metadata for region code(s): CN
    - New geocoding data for country calling code(s): 1364 (en), 1725
    (en)
    - Updated geocoding data for country calling code(s): 86 (en)
    - Updated carrier data for country calling code(s):
    55 (en), 226 (en), 973 (en)

 -- Lara Scheidegger <lararennie@google.com>  Tue, 21 Jan 2014 11:10:21 +0100

libphonenumber (5.9.2) precise; urgency=low

  * Metadata changes:
    - New alternate formatting data for country calling code(s): 255,
    27, 381, 506
    - Updated alternate formatting data for country calling code(s): 43
    - Updated phone metadata for region code(s):
    AG, AI, AS, BB, BF, BM, BS, CA, CR, DM, DO, EC, GD, GU, JM, KN, KY,
    LC, MP,
    MS, PR, SO, SX, TC, TT, US, VC, VG, VI
    - Updated carrier data for country calling code(s): 226 (en)

 -- Lara Scheidegger <lararennie@google.com>  Fri, 20 Dec 2013 10:47:07 +0100

libphonenumber (5.9.1) precise; urgency=low

  * Metadata changes:
    - New alternate formatting data for country calling code(s): 505,
    679
    - Updated phone metadata for region code(s):
    BF, CI, EG, EH, FJ, IN, KI, MA, MT, NG, NI, SI, SN, SR, TT
    - Updated short number metadata for region code(s): KI
    - Updated geocoding data for country calling code(s):
    27 (en), 226 (en), 1 (en)
    - New carrier data for country calling code(s): 356 (en), 677 (en)
    - Updated carrier data for country calling code(s):
    212 (en), 221 (en), 225 (en), 226 (en), 234 (en), 597 (en), 1 (en)

 -- Lara Scheidegger <lararennie@google.com>  Fri, 13 Dec 2013 10:53:59 +0100

libphonenumber (5.9) precise; urgency=low

  * Code changes:
    - Adding support for numbers with multiple Italian leading zeros, by
      adding a field to the phone number proto to allow an arbitrary number of
      leading zeros, and supporting this when parsing, validating and
      formatting.
    - Adding more functionality to ShortNumberInfo -> such as
      GetExpectedCostForRegion.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyright (C) 2011 The Libphonenumber Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ANT ?= ant
CMAKE ?= cmake
JAVA_HOME ?= /usr/lib/jvm/default-java

CMAKE_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr
CPP_BUILD := cpp/build
JAVA_BUILD := java/build

export DEB_CXXFLAGS_MAINT_STRIP = -O2 -O3

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ -B$(CPP_BUILD) -Dcpp -Scmake --with javahelper

override_dh_auto_build:
	dh_auto_build -- VERBOSE=1 phonenumber phonenumber-shared
	$(ANT) -f $(JAVA_BUILD).xml jar

override_dh_auto_test:
	dh_auto_test
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(ANT) -f $(JAVA_BUILD).xml junit
endif

override_dh_auto_clean:
	dh_auto_clean
	-$(ANT) -f $(JAVA_BUILD).xml clean

## libphonenumber 6.3~svn698

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 project (libphonenumber)
 set (libphonenumber_VERSION_MAJOR 6)
-set (libphonenumber_VERSION_MINOR 0)
+set (libphonenumber_VERSION_MINOR 2)
 
 # Helper functions dealing with finding libraries and programs this library
 # depends on.
@@ -87,9 +87,9 @@
   if (WIN32)
     set (Boost_USE_STATIC_LIBS ON)
   endif ()
-  find_package (Boost 1.40.0 COMPONENTS date_time thread)
+  find_package (Boost 1.40.0 COMPONENTS date_time system thread)
   if (NOT Boost_FOUND)
-    print_error ("Boost Datetime/Thread" "Boost")
+    print_error ("Boost Date_Time/System/Thread" "Boost")
   endif ()
   include_directories (${Boost_INCLUDE_DIRS})
 endif ()

=== debian/changelog ===
libphonenumber (6.3~svn698-3) unstable; urgency=medium

  * More patches for JDK 1.5 build.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 03 Sep 2014 07:12:50 +0200

libphonenumber (6.3~svn698-2) unstable; urgency=medium

  * Add patches for JDK 1.5 build.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 02 Sep 2014 20:47:56 +0200

libphonenumber (6.3~svn698-1) unstable; urgency=medium

  * Latest upstream snapshot.

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 28 Aug 2014 10:59:31 +0200

libphonenumber (6.3~svn681-5) unstable; urgency=medium

  * Ensure JARs are installed to the correct locations.

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 20 Aug 2014 10:28:18 +0200

libphonenumber (6.3~svn681-4) unstable; urgency=medium

  * Fix for issue with large unsigned long.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 19 Aug 2014 15:32:10 +0200

libphonenumber (6.3~svn681-3) unstable; urgency=medium

  * Remove Build-Depends-Indep as Java needed for C++ build.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 19 Aug 2014 14:41:08 +0200

libphonenumber (6.3~svn681-2) unstable; urgency=medium

  * Remove patch for Maven plugin versions.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 19 Aug 2014 14:00:20 +0200

libphonenumber (6.3~svn681-1) unstable; urgency=medium

  * Latest upstream code.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 19 Aug 2014 10:15:18 +0200

libphonenumber (6.3~svn680-2) unstable; urgency=medium

  * Initial packaging (Closes: #741258)

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 15 Jun 2014 13:11:35 +0200

=== debian/control ===
Source: libphonenumber
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.pro>, Fredrik Roubert <roubert@google.com>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 9),
               default-jdk | java-sdk,
               libboost-dev (>= 1.40),
               libboost-system-dev (>= 1.40),
               libboost-thread-dev (>= 1.40),
               libgtest-dev,
               libicu-dev (>= 4.4),
               libprotobuf-dev (>= 2.4),
               libre2-dev,
               maven-debian-helper (>= 1.5),
               protobuf-compiler,
               default-jdk-doc,
               junit4,
               libbuild-helper-maven-plugin-java,
               libmaven-antrun-plugin-java,
               libmaven-assembly-plugin-java,
               libmaven-compiler-plugin-java,
               libmaven-exec-plugin-java,
               libmaven-jar-plugin-java,
               libmaven-javadoc-plugin-java,
               libmaven-war-plugin-java,
               libprotobuf-java,
               libservlet2.5-java,
               libservlet2.5-java-doc
Standards-Version: 3.9.5
Section: libs
Homepage: http://code.google.com/p/libphonenumber/
Vcs-Browser: http://code.google.com/p/libphonenumber/source/browse/
Vcs-Svn: http://libphonenumber.googlecode.com/svn/trunk/

Package: libphonenumber6-java
Section: java
Architecture: all
Depends: ${misc:Depends}, ${maven:Depends}
Recommends: ${maven:OptionalDepends}
Description: parsing/formatting/validating phone numbers - java
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime library JARs for Java users.

Package: libphonenumber6-dev
Section: libdevel
Architecture: any
Provides: libphonenumber-dev
Conflicts: libphonenumber-dev
Replaces: libphonenumber-dev
Depends: libphonenumber6 (=${binary:Version}), ${misc:Depends},
         libboost-dev (>= 1.40),
         libboost-system-dev (>= 1.40),
         libboost-thread-dev (>= 1.40),
         libprotobuf-dev (>= 2.4)
Description: parsing/formatting/validating phone numbers - development files
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the static libraries and include files.

Package: libphonenumber6
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing/formatting/validating phone numbers
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime libraries for C++ users.

## libphonenumber 7.0.8

=== debian/changelog ===
libphonenumber (7.0.8-0ubuntu3) xenial; urgency=medium

  * debian/patches/hash_as_diallable_char.patch
    -Add hash as diallable number

 -- Tiago Salem Herrmann <tiago.herrmann@canonical.com>  Thu, 05 Nov 2015 18:48:12 -0200

libphonenumber (7.0.8-0ubuntu2) wily; urgency=medium

  * No-change rebuild against new libicu

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 05 Aug 2015 17:40:24 +0100

libphonenumber (7.0.8-0ubuntu1) wily; urgency=medium

  * New upstream version.
  * Rename library packages (soname bump).
  * Build with optimization again.
  * Build Multi-Arch: same packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Jul 2015 13:56:09 +0200

libphonenumber (6.0+r655-0ubuntu7) wily; urgency=medium

  * Make the dev package depend on libprotobuf-dev.

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 17 Jul 2015 20:11:54 -0300

=== debian/control ===
Source: libphonenumber
Priority: optional
Maintainer: Fredrik Roubert <roubert@google.com>
Build-Depends: ant,
               ant-optional,
               cmake,
               debhelper (>= 7.0.50~),
               default-jdk | java-sdk,
               javahelper (>= 0.34),
               libboost-dev (>= 1.40),
               libboost-thread-dev (>= 1.40),
               libgtest-dev,
               libicu-dev (>= 4.4),
               libprotobuf-dev (>= 2.4),
               libre2-dev,
               protobuf-compiler,
               quilt
Standards-Version: 3.9.6
Section: libs
Homepage: http://code.google.com/p/libphonenumber/
Vcs-Browser: http://code.google.com/p/libphonenumber/source/browse/
Vcs-Svn: http://libphonenumber.googlecode.com/svn/trunk/

Package: libphonenumber-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libphonenumber7 (=${binary:Version}), ${misc:Depends}, libprotobuf-dev (>= 2.4)
Description: parsing/formatting/validating phone numbers - development
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the static libraries and include files.

Package: libphonenumber7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends} 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing/formatting/validating phone numbers - runtime
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime libraries.

Package: libgeocoding-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeocoding7 (=${binary:Version}), ${misc:Depends}
Description: parsing/formatting/validating phone numbers - development
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the static libraries and include files.

Package: libgeocoding7
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends} 
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: parsing/formatting/validating phone numbers - runtime
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime libraries.

Package: libphonenumber-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: parsing/formatting/validating phone numbers - java
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the JAR files.

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 CPP_BUILD := cpp/build
 JAVA_BUILD := java/build
 
-export DEB_CXXFLAGS_MAINT_STRIP = -O2 -O3
-
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
@@ -46,6 +44,15 @@
 	$(ANT) -f $(JAVA_BUILD).xml junit
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	cp cpp/src/phonenumbers/region_code.h \
+	  debian/tmp/./usr/include/phonenumbers/.
+	cp cpp/src/phonenumbers/base/synchronization/lock_posix.h \
+	  debian/tmp/./usr/include/phonenumbers/base/synchronization/.
+	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/tmp/usr/lib/lib* debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/.
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) -f $(JAVA_BUILD).xml clean

## libphonenumber 7.1.0

=== cpp/CMakeLists.txt ===
--- 
+++ 
@@ -17,8 +17,8 @@
 cmake_minimum_required (VERSION 2.8)
 
 project (libphonenumber)
-set (libphonenumber_VERSION_MAJOR 6)
-set (libphonenumber_VERSION_MINOR 2)
+set (libphonenumber_VERSION_MAJOR 7)
+set (libphonenumber_VERSION_MINOR 0)
 
 # Helper functions dealing with finding libraries and programs this library
 # depends on.
@@ -192,9 +192,9 @@
   "src/phonenumbers/phonenumber.cc"
   "src/phonenumbers/phonenumber.pb.cc"   # Generated by Protocol Buffers.
   "src/phonenumbers/phonenumberutil.cc"
+  "src/phonenumbers/regex_based_matcher.cc"
   "src/phonenumbers/regexp_cache.cc"
   "src/phonenumbers/shortnumberinfo.cc"
-  "src/phonenumbers/shortnumberutil.cc"
   "src/phonenumbers/string_byte_sink.cc"
   "src/phonenumbers/stringutil.cc"
   "src/phonenumbers/unicodestring.cc"
@@ -348,4 +348,3 @@
   add_library (geocoding STATIC ${GEOCODING_SOURCES})
   # The geocoder doesn't use RE2 so there is no reason not to build a shared
   # library for it.
-  add_library (geocoding-shared SHARED ${GEOCODING_SOURCES})

=== tools/cpp/CMakeLists.txt ===
# Copyright (C) 2012 The Libphonenumber Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Author: Patrick Mezard

cmake_minimum_required (VERSION 2.8)

project (generate_geocoding_data)

# Helper functions dealing with finding libraries and programs this library
# depends on.

include (gtest.cmake)

find_or_build_gtest ()

set (
  SOURCES
  "src/cpp-build/generate_geocoding_data.cc"
  "src/cpp-build/generate_geocoding_data_main.cc"
)

if (NOT WIN32)
  add_definitions ("-Wall -Werror")
endif ()

include_directories ("src")

add_executable (generate_geocoding_data ${SOURCES})

set (TEST_SOURCES
  "src/cpp-build/generate_geocoding_data.cc"
  "test/cpp-build/generate_geocoding_data_test.cc"
  "test/cpp-build/run_tests.cc"
)

set (TEST_LIBS ${GTEST_LIB})

if (NOT WIN32)
  list (APPEND TEST_LIBS pthread)
endif ()

# Build the testing binary.
include_directories ("test")
add_executable (generate_geocoding_data_test ${TEST_SOURCES})
target_link_libraries (generate_geocoding_data_test ${TEST_LIBS})

=== debian/changelog ===
libphonenumber (7.1.0-7) unstable; urgency=medium

  * Team upload.
  * Don't build using boost, not required on recent Linux versions.
  * Make the build verbose.
  * Properly pass optimization and hardening flags to the cmake build.
  * Fix the clean target.
  * Bump debhelper and standards version.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Dec 2020 14:49:19 +0100

libphonenumber (7.1.0-6) unstable; urgency=medium

  * Team upload.
  * Update watch and Vcs package attributes, thanks to Neil Mayhew for the
    patch. Closes: #956863
  * Update the Uploaders List. Closes: #953464
  * Add gbp.conf specifing the Debian default branch.

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Sep 2020 19:08:25 +0200

libphonenumber (7.1.0-5) unstable; urgency=medium

  * Team upload.
  * Revert "Set environment to GCC-6." because this is the default now.
  * Add readdir_r-is-deprecated.patch and fix FTBFS with glibc 2.24.
    Thanks to Graham Inggs for the report. (Closes: #836768)
  * Add libboost-filesystem-dev to Build-Depends.

 -- Markus Koschany <apo@debian.org>  Tue, 13 Sep 2016 23:13:45 +0200

libphonenumber (7.1.0-4) unstable; urgency=medium

  * Team upload.
  * Vcs-Git: Use https.
  * Add gcc-6-ftbfs.patch and fix FTBFS with GCC-6. (Closes: #811613)
    Thanks to Martin Michlmayr for the report.
  * Fix Lintian warning syntax-error-in-dep5-copyright.
  * Add 0010-reproducible-build.patch and make the build reproducible.
    Thanks to Reiner Herrmann for the report and patch. (Closes: #828748)
  * Fix Lintian warning dep5-copyright-license-name-not-unique.

 -- Markus Koschany <apo@debian.org>  Sat, 16 Jul 2016 23:04:13 +0200

libphonenumber (7.1.0-3) unstable; urgency=medium

  * Team upload.
  * Transition to the Servlet API 3.1 (Closes: #801036)
  * Standards-Version updated to 3.9.8 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Jun 2016 09:54:33 +0200

libphonenumber (7.1.0-2) unstable; urgency=medium

  * Move libphonenumber7-dev.install to libphonenumber-dev.install so the -dev
    package actually contains files.
  * Have libphoneumber7-java Conflict & Replace libphonenumber-java.

 -- Iain Lane <laney@debian.org>  Tue, 10 Nov 2015 09:57:19 +0000

libphonenumber (7.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Conflict with libphonenumber6-java.  (Closes: #800921)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 09 Oct 2015 15:00:45 +0200

libphonenumber (7.0.11-2) unstable; urgency=medium

  * Split libgeocoding out into a separate package.
  * Make library packages Multi-Arch: same
  * Rename -dev package to not include the version - this means that
    our reverse build-deps don't need to have source changes whenever we bump
    the ABI version.
  * debian/patches/0001-Boost-build-fix.patch: Make sure to install all the
    headers.
  * debian/patches/0002-C-symbols-map.patch: Control our exported symbols to
    not leak those of libraries we depend on.

 -- Iain Lane <laney@debian.org>  Fri, 25 Sep 2015 13:20:24 +0100

libphonenumber (7.0.11-1) unstable; urgency=medium

  * New upstream release.
  * VCS rebased using clone of new upstream Git repository.
  * Builds with GCC-5.  (Closes: #797835)

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 22 Sep 2015 11:38:16 +0000

libphonenumber (6.3~svn698-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against libboost in unstable (that is >= 1.58).
    - (Closes: #794900, #794658)
  * Add patch to remove the deprecated forkMode parameter in the
    maven-surefire-plugin configuration.  This was causing tests
    to fail and made the package FTBFS.
  * Test compilations with GCC-5 from experimental also indicate
    that this package now successfully builds without source changes
    (surely due to the updated libboost).  (Closes: #777967)

 -- tony mancill <tmancill@debian.org>  Sun, 09 Aug 2015 13:09:47 -0700

=== debian/control ===
Source: libphonenumber
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Fredrik Roubert <roubert@google.com>
Build-Depends: cdbs,
               cmake,
               debhelper (>= 10),
               default-jdk | java-sdk,
               libgtest-dev,
               libicu-dev (>= 4.4),
               libprotobuf-dev (>= 2.4),
               libre2-dev,
               maven-debian-helper (>= 1.5),
               protobuf-compiler,
               default-jdk-doc,
               junit4,
               libbuild-helper-maven-plugin-java,
               libmaven-antrun-plugin-java,
               libmaven-assembly-plugin-java,
               libmaven-compiler-plugin-java,
               libmaven-exec-plugin-java,
               libmaven-jar-plugin-java,
               libmaven-javadoc-plugin-java,
               libmaven-war-plugin-java,
               libprotobuf-java,
               libservlet3.1-java,
               libservlet3.1-java-doc
Standards-Version: 4.5.1
Section: libs
Homepage: https://github.com/googlei18n/libphonenumber/
Vcs-Browser: https://salsa.debian.org/debian/libphonenumber.git/
Vcs-Git: https://salsa.debian.org/debian/libphonenumber.git

Package: libphonenumber7-java
Section: java
Architecture: all
Conflicts: libphonenumber6-java, libphonenumber-java
Replaces: libphonenumber6-java, libphonenumber-java
Depends: ${misc:Depends}, ${maven:Depends}
Recommends: ${maven:OptionalDepends}
Description: parsing/formatting/validating phone numbers - java
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime library JARs for Java users.

Package: libphonenumber-dev
Section: libdevel
Architecture: any
Conflicts: libphonenumber6-dev
Replaces: libphonenumber6-dev
Depends: libphonenumber7 (= ${binary:Version}),
         libgeocoding7 (= ${binary:Version}),
         ${misc:Depends},
         libprotobuf-dev (>= 2.4)
Description: parsing/formatting/validating phone numbers - development files
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the static libraries and include files.

Package: libphonenumber7
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: parsing/formatting/validating phone numbers
 Google's common C++ and Java library for parsing, formatting, storing and
 validating international phone numbers.
 .
 This package contains the runtime libraries for C++ users.

Package: libgeocoding7
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libphonenumber7 (<< 7.0.11-2)
Replaces: libphonenumber7 (<< 7.0.11-2)
Multi-Arch: same
Description: geocoding phone numbers
 Google's library for geocoding phone international phone numbers.
 .
 This package contains the runtime libraries which can be used to geocode phone
 numbers. This means obtaining a desciption (for example of the location) of a
 given phone number.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Copyright (C) 2011 The Libphonenumber Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_MAVEN_DOC_TARGET := javadoc:jar javadoc:aggregate

CMAKE ?= cmake

CMAKE_FLAGS := -DCMAKE_INSTALL_PREFIX=/usr -DUSE_BOOST=OFF -DCMAKE_VERBOSE_MAKEFILE=TRUE
CPP_BUILD := cpp/build
JAVA_BUILD := java/build

# CMake doesn't read CPPFLAGS and dh_auto commands are not used in this rules
# file so we have to manually set the flags here to ensure that hardening flags
# are used:
export CFLAGS := -pthread $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := -pthread $(shell dpkg-buildflags --get CPPFLAGS) $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := -pthread $(shell dpkg-buildflags --get LDFLAGS)

ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
  INSTALL_PROGRAM += -s
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

#%:
#	dh $@ --with javahelper

#override_dh_auto_configure:
configure/libphonenumber7::
	mkdir -p $(CPP_BUILD) && cd $(CPP_BUILD) && $(CMAKE) $(CMAKE_FLAGS) ..

#override_dh_auto_build:
#	( cd tools/java && $(MVN) package )
#	mkdir java/lib
#	ln -s /usr/share/java/junit4.jar java/lib/junit-4.8.1.jar
#	$(ANT) -f $(JAVA_BUILD).xml jar
build/libphonenumber7::
	ln -sf cpp-build-1.0-SNAPSHOT.jar tools/java/cpp-build/target/cpp-build-1.0-SNAPSHOT-jar-with-dependencies.jar
	ln -sf /usr/share/java/protobuf.jar tools/java/cpp-build/target/protobuf-java-debian.jar
	$(MAKE) -C $(CPP_BUILD) phonenumber phonenumber-shared

#override_dh_auto_test:
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	$(MAKE) -C $(CPP_BUILD) test
#	$(ANT) -f $(JAVA_BUILD).xml junit
#endif

# Hack for multiarch: CMake doesn't really support libdir so we just manually
# move /usr/lib/* to a proper multiarch location.
#override_dh_auto_install:
common-install-arch::
	dh_auto_install --builddirectory=$(CPP_BUILD)
	mkdir -p debian/tmp/usr/lib-$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib/* debian/tmp/usr/lib-$(DEB_HOST_MULTIARCH)
	mv debian/tmp/usr/lib-$(DEB_HOST_MULTIARCH) \
		debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)

#override_dh_auto_clean:
clean::
	-test -d $(CPP_BUILD) && $(MAKE) -C $(CPP_BUILD) clean
	rm -rf cpp/build
	#-$(ANT) -f $(JAVA_BUILD).xml clean
	#-( cd tools/java && $(MVN) clean )
